diff -urN ../VisualBoyAdvance-1.7.2/src/win32/vba.rc ./src/win32/vba.rc
--- ../VisualBoyAdvance-1.7.2/src/win32/vba.rc	2004-05-15 20:21:51 +0900
+++ ./src/win32/vba.rc	2006-08-06 21:40:35 +0900
@@ -1721,114 +1524,68 @@
             MENUITEM "x&3",                         ID_OPTIONS_VIDEO_X3
             MENUITEM "x&4",                         ID_OPTIONS_VIDEO_X4
             MENUITEM "Full Screen (320x240)",       ID_OPTIONS_VIDEO_FULLSCREEN320X240
-
             MENUITEM "Full Screen (640x480)",       ID_OPTIONS_VIDEO_FULLSCREEN640X480
-
             MENUITEM "Full Screen (800x600)",       ID_OPTIONS_VIDEO_FULLSCREEN800X600
-
             MENUITEM "&Other Full Screen...",       ID_OPTIONS_VIDEO_FULLSCREEN
-
             MENUITEM "Full screen max scale...",    ID_OPTIONS_VIDEO_FULLSCREENMAXSCALE
-
             MENUITEM SEPARATOR
             MENUITEM "&Disable SFX",                ID_OPTIONS_VIDEO_DISABLESFX
-
             MENUITEM "Fullscreen stretch to &fit",  ID_OPTIONS_VIDEO_FULLSCREENSTRETCHTOFIT
-
             MENUITEM SEPARATOR
             POPUP "&Layers"
             BEGIN
                 MENUITEM "BG 0",                        ID_OPTIONS_VIDEO_LAYERS_BG0
-
                 MENUITEM "BG 1",                        ID_OPTIONS_VIDEO_LAYERS_BG1
-
                 MENUITEM "BG 2",                        ID_OPTIONS_VIDEO_LAYERS_BG2
-
                 MENUITEM "BG 3",                        ID_OPTIONS_VIDEO_LAYERS_BG3
-
                 MENUITEM "OBJ",                         ID_OPTIONS_VIDEO_LAYERS_OBJ
-
                 MENUITEM "WIN 0",                       ID_OPTIONS_VIDEO_LAYERS_WIN0
-
                 MENUITEM "WIN 1",                       ID_OPTIONS_VIDEO_LAYERS_WIN1
-
                 MENUITEM "OBJ WIN",                     ID_OPTIONS_VIDEO_LAYERS_OBJWIN
-
             END
         END
         POPUP "&Emulator"
         BEGIN
             MENUITEM "&Associate...",               ID_OPTIONS_EMULATOR_ASSOCIATE
-
             MENUITEM "&Directories...",             ID_OPTIONS_EMULATOR_DIRECTORIES
-
             MENUITEM "D&isable status messages",    ID_OPTIONS_EMULATOR_DISABLESTATUSMESSAGES
-
             MENUITEM "&Synchronize",                ID_OPTIONS_EMULATOR_SYNCHRONIZE
-
             MENUITEM "Pause when inactive window",  ID_OPTIONS_EMULATOR_PAUSEWHENINACTIVE
-
             MENUITEM "Speed up toggle",             ID_OPTIONS_EMULATOR_SPEEDUPTOGGLE
-
-            MENUITEM "Remove intros (GBA)",         ID_OPTIONS_EMULATOR_REMOVEINTROSGBA
-
             MENUITEM "Automatic IPS patching",      ID_OPTIONS_EMULATOR_AUTOMATICALLYIPSPATCH
-
             MENUITEM "AGB Print",                   ID_OPTIONS_EMULATOR_AGBPRINT
-
             MENUITEM "Real Time Clock",             ID_OPTIONS_EMULATOR_REALTIMECLOCK
-
             MENUITEM "Auto hide menu",              ID_OPTIONS_EMULATOR_AUTOHIDEMENU
-
             MENUITEM "Rewind interval...",          ID_OPTIONS_EMULATOR_REWINDINTERVAL
-
+            MENUITEM "Generic Flashcard (GB/GBC)",  ID_OPTIONS_EMULATOR_GENERICFLASHCARD
+            MENUITEM "&Game Overrides...",          ID_OPTIONS_EMULATOR_GAMEOVERRIDES
             POPUP "Show speed"
             BEGIN
                 MENUITEM "None",                        ID_OPTIONS_EMULATOR_SHOWSPEED_NONE
-
                 MENUITEM "Percentage",                  ID_OPTIONS_EMULATOR_SHOWSPEED_PERCENTAGE
-
                 MENUITEM "Detailed",                    ID_OPTIONS_EMULATOR_SHOWSPEED_DETAILED
-
                 MENUITEM SEPARATOR
                 MENUITEM "Transparent",                 ID_OPTIONS_EMULATOR_SHOWSPEED_TRANSPARENT
-
             END
             POPUP "Save Type"
             BEGIN
                 MENUITEM "&Automatic",                  ID_OPTIONS_EMULATOR_SAVETYPE_AUTOMATIC
-
                 MENUITEM "EEPROM",                      ID_OPTIONS_EMULATOR_SAVETYPE_EEPROM
-
                 MENUITEM "SRAM",                        ID_OPTIONS_EMULATOR_SAVETYPE_SRAM
-
                 MENUITEM "Flash",                       ID_OPTIONS_EMULATOR_SAVETYPE_FLASH
-
                 MENUITEM "EEPROM+Sensor",               ID_OPTIONS_EMULATOR_SAVETYPE_EEPROMSENSOR
-
                 MENUITEM "None",                        ID_OPTIONS_EMULATOR_SAVETYPE_NONE
-
                 MENUITEM SEPARATOR
-                MENUITEM "Flash 64K",                   ID_OPTIONS_EMULATOR_SAVETYPE_FLASH512K
-
-                MENUITEM "Flash 128K",                  ID_OPTIONS_EMULATOR_SAVETYPE_FLASH1M
-
-                MENUITEM SEPARATOR
-                MENUITEM "Enhanced detection",          ID_OPTIONS_EMULATOR_SAVETYPE_ENHANCEDDETECTION
-
+                MENUITEM "Flash 64 KB",                 ID_OPTIONS_EMULATOR_SAVETYPE_FLASH512K
+                MENUITEM "Flash 128 KB",                ID_OPTIONS_EMULATOR_SAVETYPE_FLASH1M
             END
             MENUITEM SEPARATOR
             MENUITEM "&Use BIOS file",              ID_OPTIONS_EMULATOR_USEBIOSFILE
-
             MENUITEM "Skip BIOS",                   ID_OPTIONS_EMULATOR_SKIPBIOS
-
             MENUITEM "S&elect BIOS file...",        ID_OPTIONS_EMULATOR_SELECTBIOSFILE
-
             MENUITEM SEPARATOR
             MENUITEM "PNG format",                  ID_OPTIONS_EMULATOR_PNGFORMAT
-
             MENUITEM "BMP format",                  ID_OPTIONS_EMULATOR_BMPFORMAT
-
         END
         POPUP "&Sound"
         BEGIN
@@ -1837,26 +1594,17 @@
             MENUITEM "&On",                         ID_OPTIONS_SOUND_ON
             MENUITEM SEPARATOR
             MENUITEM "Use old synchronization",     ID_OPTIONS_SOUND_USEOLDSYNCHRONIZATION
-
             MENUITEM SEPARATOR
             MENUITEM "Echo",                        ID_OPTIONS_SOUND_ECHO
             MENUITEM "Low pass filter",             ID_OPTIONS_SOUND_LOWPASSFILTER
-
             MENUITEM "Reverse Stereo",              ID_OPTIONS_SOUND_REVERSESTEREO
-
             MENUITEM SEPARATOR
-            MENUITEM "Channel &1",                  ID_OPTIONS_SOUND_CHANNEL1
-            , CHECKED
-            MENUITEM "Channel &2",                  ID_OPTIONS_SOUND_CHANNEL2
-            , CHECKED
-            MENUITEM "Channel &3",                  ID_OPTIONS_SOUND_CHANNEL3
-            , CHECKED
-            MENUITEM "Channel &4",                  ID_OPTIONS_SOUND_CHANNEL4
-            , CHECKED
-            MENUITEM "Direct Sound &A",             ID_OPTIONS_SOUND_DIRECTSOUNDA
-            , CHECKED
-            MENUITEM "Direct Sound &B",             ID_OPTIONS_SOUND_DIRECTSOUNDB
-            , CHECKED
+            MENUITEM "Channel &1",                  ID_OPTIONS_SOUND_CHANNEL1, CHECKED
+            MENUITEM "Channel &2",                  ID_OPTIONS_SOUND_CHANNEL2, CHECKED
+            MENUITEM "Channel &3",                  ID_OPTIONS_SOUND_CHANNEL3, CHECKED
+            MENUITEM "Channel &4",                  ID_OPTIONS_SOUND_CHANNEL4, CHECKED
+            MENUITEM "Direct Sound &A",             ID_OPTIONS_SOUND_DIRECTSOUNDA, CHECKED
+            MENUITEM "Direct Sound &B",             ID_OPTIONS_SOUND_DIRECTSOUNDB, CHECKED
             MENUITEM SEPARATOR
             MENUITEM "11 &Khz",                     ID_OPTIONS_SOUND_11KHZ
             MENUITEM "22 K&hz",                     ID_OPTIONS_SOUND_22KHZ
@@ -1865,30 +1613,21 @@
             POPUP "&Volume"
             BEGIN
                 MENUITEM ".25X",                        ID_OPTIONS_SOUND_VOLUME_25X
-
                 MENUITEM ".5X",                         ID_OPTIONS_SOUND_VOLUME_5X
-
                 MENUITEM "&1x",                         ID_OPTIONS_SOUND_VOLUME_1X
-
                 MENUITEM "&2x",                         ID_OPTIONS_SOUND_VOLUME_2X
-
                 MENUITEM "&3x",                         ID_OPTIONS_SOUND_VOLUME_3X
-
                 MENUITEM "&4x",                         ID_OPTIONS_SOUND_VOLUME_4X
-
             END
+            MENUITEM "Hardware Acceleration",       ID_OPTIONS_SOUND_HARDWAREACCELERATION
         END
         POPUP "&Gameboy"
         BEGIN
             MENUITEM "&Border",                     ID_OPTIONS_GAMEBOY_BORDER
-
             MENUITEM "&Printer",                    ID_OPTIONS_GAMEBOY_PRINTER
-
             MENUITEM "Border Automatic",            ID_OPTIONS_GAMEBOY_BORDERAUTOMATIC
-
             MENUITEM SEPARATOR
             MENUITEM "&Automatic",                  ID_OPTIONS_GAMEBOY_AUTOMATIC
-
             MENUITEM "&GBA",                        ID_OPTIONS_GAMEBOY_GBA
             MENUITEM "&CGB/GBC",                    ID_OPTIONS_GAMEBOY_CGB
             MENUITEM "&SGB",                        ID_OPTIONS_GAMEBOY_SGB
@@ -1896,110 +1635,74 @@
             MENUITEM "G&B",                         ID_OPTIONS_GAMEBOY_GB
             MENUITEM SEPARATOR
             MENUITEM "&Real Colors",                ID_OPTIONS_GAMEBOY_REALCOLORS
-
             MENUITEM "G&ameboy Colors",             ID_OPTIONS_GAMEBOY_GAMEBOYCOLORS
-
             MENUITEM SEPARATOR
             MENUITEM "Colors...",                   ID_OPTIONS_GAMEBOY_COLORS
-
         END
         POPUP "&Priority"
         BEGIN
             MENUITEM "&Highest",                    ID_OPTIONS_PRIORITY_HIGHEST
-
             MENUITEM "&Above Normal",               ID_OPTIONS_PRIORITY_ABOVENORMAL
-
             MENUITEM "&Normal",                     ID_OPTIONS_PRIORITY_NORMAL
-
             MENUITEM "&Below Normal",               ID_OPTIONS_PRIORITY_BELOWNORMAL
-
         END
         POPUP "F&ilter"
         BEGIN
             POPUP "Interframe Blending"
             BEGIN
                 MENUITEM "None",                        ID_OPTIONS_FILTER_INTERFRAMEBLENDING_NONE
-
                 MENUITEM "Motion Blur",                 ID_OPTIONS_FILTER_INTERFRAMEBLENDING_MOTIONBLUR
-
                 MENUITEM "Smart",                       ID_OPTIONS_FILTER_INTERFRAMEBLENDING_SMART
-
             END
             MENUITEM SEPARATOR
             MENUITEM "&Normal",                     ID_OPTIONS_FILTER_NORMAL
             MENUITEM "&TV Mode",                    ID_OPTIONS_FILTER_TVMODE
             MENUITEM "&2xSaI",                      ID_OPTIONS_FILTER_2XSAI
             MENUITEM "&Super 2xSaI",                ID_OPTIONS_FILTER_SUPER2XSAI
-
             MENUITEM "Super &Eagle",                ID_OPTIONS_FILTER_SUPEREAGLE
-
             MENUITEM "Pixelate",                    ID_OPTIONS_FILTER16BIT_PIXELATEEXPERIMENTAL
-
             MENUITEM "Motion Blur",                 ID_OPTIONS_FILTER16BIT_MOTIONBLUREXPERIMENTAL
-
             MENUITEM "AdvanceMAME Scale2x",         ID_OPTIONS_FILTER16BIT_ADVANCEMAMESCALE2X
-
             MENUITEM "Simple 2x",                   ID_OPTIONS_FILTER16BIT_SIMPLE2X
-
             MENUITEM "Bilinear",                    ID_OPTIONS_FILTER_BILINEAR
-
             MENUITEM "Bilinear Plus",               ID_OPTIONS_FILTER_BILINEARPLUS
-
             MENUITEM "Scanlines",                   ID_OPTIONS_FILTER_SCANLINES
-
             MENUITEM "hq2x",                        ID_OPTIONS_FILTER_HQ2X
             MENUITEM "lq2x",                        ID_OPTIONS_FILTER_LQ2X
             MENUITEM SEPARATOR
             MENUITEM "&Disable MMX",                ID_OPTIONS_FILTER_DISABLEMMX
-
         END
         POPUP "&Joypad"
         BEGIN
             POPUP "&Configure"
             BEGIN
                 MENUITEM "&1...",                       ID_OPTIONS_JOYPAD_CONFIGURE_1
-
                 MENUITEM "&2...",                       ID_OPTIONS_JOYPAD_CONFIGURE_2
-
                 MENUITEM "&3...",                       ID_OPTIONS_JOYPAD_CONFIGURE_3
-
                 MENUITEM "&4...",                       ID_OPTIONS_JOYPAD_CONFIGURE_4
-
             END
             POPUP "Default Joypad"
             BEGIN
                 MENUITEM "1",                           ID_OPTIONS_JOYPAD_DEFAULTJOYPAD_1
-
                 MENUITEM "2",                           ID_OPTIONS_JOYPAD_DEFAULTJOYPAD_2
-
                 MENUITEM "3",                           ID_OPTIONS_JOYPAD_DEFAULTJOYPAD_3
-
                 MENUITEM "4",                           ID_OPTIONS_JOYPAD_DEFAULTJOYPAD_4
-
             END
             MENUITEM "Motion Configure...",         ID_OPTIONS_JOYPAD_MOTIONCONFIGURE
-
             MENUITEM SEPARATOR
             POPUP "&Autofire"
             BEGIN
                 MENUITEM "&A",                          ID_OPTIONS_JOYPAD_AUTOFIRE_A
-
                 MENUITEM "&B",                          ID_OPTIONS_JOYPAD_AUTOFIRE_B
-
                 MENUITEM "&L",                          ID_OPTIONS_JOYPAD_AUTOFIRE_L
-
                 MENUITEM "&R",                          ID_OPTIONS_JOYPAD_AUTOFIRE_R
-
             END
         END
         POPUP "&Language"
         BEGIN
             MENUITEM "&System",                     ID_OPTIONS_LANGUAGE_SYSTEM
-
             MENUITEM "&English",                    ID_OPTIONS_LANGUAGE_ENGLISH
-
             MENUITEM "&Other...",                   ID_OPTIONS_LANGUAGE_OTHER
-
         END
     END
     POPUP "&Cheats"
@@ -2008,7 +1711,6 @@
         MENUITEM "&Cheat list...",              ID_CHEATS_CHEATLIST
         MENUITEM SEPARATOR
         MENUITEM "&Automatic save/load cheats", ID_CHEATS_AUTOMATICSAVELOADCHEATS
-
         MENUITEM "Disable cheats",              ID_CHEATS_DISABLECHEATS
         MENUITEM "&Load cheat list...",         ID_CHEATS_LOADCHEATLIST
         MENUITEM "Sa&ve cheat list...",         ID_CHEATS_SAVECHEATLIST
@@ -2029,33 +1731,23 @@
         BEGIN
             MENUITEM "Wait for connection...",      ID_TOOLS_DEBUG_GDB
             MENUITEM "Load and wait...",            ID_TOOLS_DEBUG_LOADANDWAIT
-
             MENUITEM "Break into GDB",              ID_TOOLS_DEBUG_BREAK
             MENUITEM "Disconnect",                  ID_TOOLS_DEBUG_DISCONNECT
-
         END
         MENUITEM SEPARATOR
         POPUP "Record"
         BEGIN
             MENUITEM "Start sound recording...",    ID_OPTIONS_SOUND_STARTRECORDING
-
             MENUITEM "Stop sound recording",        ID_OPTIONS_SOUND_STOPRECORDING
-
             MENUITEM "Start AVI recording...",      ID_TOOLS_RECORD_STARTAVIRECORDING
-
             MENUITEM "Stop AVI recording",          ID_TOOLS_RECORD_STOPAVIRECORDING
-
             MENUITEM "Start movie recording...",    ID_TOOLS_RECORD_STARTMOVIERECORDING
-
             MENUITEM "Stop movie recording",        ID_TOOLS_RECORD_STOPMOVIERECORDING
-
         END
         POPUP "Play"
         BEGIN
             MENUITEM "Start playing movie...",      ID_TOOLS_PLAY_STARTMOVIEPLAYING
-
             MENUITEM "Stop playing movie",          ID_TOOLS_PLAY_STOPMOVIEPLAYING
-
         END
         MENUITEM SEPARATOR
         MENUITEM "Rewind",                      ID_TOOLS_REWIND
@@ -2065,6 +1757,7 @@
     BEGIN
         MENUITEM "Bug Report",                  ID_HELP_BUGREPORT
         MENUITEM "FAQ (website)",               ID_HELP_FAQ
+        MENUITEM "License...",                  ID_HELP_GNUPUBLICLICENSE
         MENUITEM SEPARATOR
         MENUITEM "&About...",                   ID_HELP_ABOUT
     END
@@ -2076,7 +1769,7 @@
 // Accelerator
 //
 
-IDR_ACCELERATOR ACCELERATORS DISCARDABLE 
+IDR_ACCELERATOR ACCELERATORS 
 BEGIN
     "1",            ID_OPTIONS_VIDEO_LAYERS_BG0, VIRTKEY, CONTROL, NOINVERT
     "1",            ID_OPTIONS_JOYPAD_AUTOFIRE_A, VIRTKEY, ALT, NOINVERT
@@ -2089,8 +1782,7 @@
     "5",            ID_OPTIONS_VIDEO_LAYERS_OBJ, VIRTKEY, CONTROL, NOINVERT
     "6",            ID_OPTIONS_VIDEO_LAYERS_WIN0, VIRTKEY, CONTROL, NOINVERT
     "7",            ID_OPTIONS_VIDEO_LAYERS_WIN1, VIRTKEY, CONTROL, NOINVERT
-    "8",            ID_OPTIONS_VIDEO_LAYERS_OBJWIN, VIRTKEY, CONTROL, 
-                                                    NOINVERT
+    "8",            ID_OPTIONS_VIDEO_LAYERS_OBJWIN, VIRTKEY, CONTROL, NOINVERT
     "B",            ID_TOOLS_REWIND,        VIRTKEY, CONTROL, NOINVERT
     "C",            ID_CHEATS_SEARCHFORCHEATS, VIRTKEY, CONTROL, NOINVERT
     "L",            ID_FILE_LOAD,           VIRTKEY, CONTROL, NOINVERT
@@ -2136,17 +1828,10 @@
 
 /////////////////////////////////////////////////////////////////////////////
 //
-// 24
-//
-
-1                       24      MOVEABLE PURE   "VisualBoyAdvance.exe.manifest"
-
-/////////////////////////////////////////////////////////////////////////////
-//
 // String Table
 //
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_UNSUPPORTED_VBA_SGM "Unsupported VisualBoyAdvance save game version %d"
     IDS_CANNOT_LOAD_SGM     "Cannot load save game for %s"
@@ -2166,10 +1851,10 @@
     IDS_UNKNOWN_THUMB_OPCODE "Unknown opcode %04x from %08x"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_ERROR_CREATING_FILE "Error creating file %s"
-    IDS_FAILED_TO_READ_SGM  "Failed to read complete save game %s (%d)"
+    IDS_FAILED_TO_READ_SGM  "Battery file's size incompatible with the rom settings %s (%d).\nWarning : save of the battery file is now disabled !"
     IDS_FAILED_TO_READ_RTC  "Failed to read RTC from save game %s (continuing)"
     IDS_UNSUPPORTED_VB_SGM  "Unsupported VisualBoy save game version %d"
     IDS_CANNOT_LOAD_SGM_FOR "Cannot load save game for %s. Playing %s"
@@ -2186,7 +1871,7 @@
     IDS_UNSUPPORTED_CHEAT_LIST_VERSION "Unsupported cheat list version %d"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_DIRECTX_7_REQUIRED  "DirectX 7.0 or greater is required to run.\nDownload at http://www.microsoft.com/directx.\n\nError found at: %s"
     IDS_DISABLING_VIDEO_MEMORY "Disabling Use Video Memory setting"
@@ -2208,7 +1893,7 @@
     IDS_INVALID_ADDRESS     "Invalid address: %08x"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_MISALIGNED_HALFWORD "Misaligned half-word address: %08x"
     IDS_MISALIGNED_WORD     "Misaligned word address: %08x"
@@ -2228,7 +1913,7 @@
     IDS_SELECT_BATTERY_DIR  "Select Battery directory:"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_SELECT_SAVE_DIR     "Select Save Directory:"
     IDS_SELECT_CAPTURE_DIR  "Select Capture directory:"
@@ -2248,7 +1933,7 @@
     IDS_LOADED_STATE_N      "Loaded state %d"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_WROTE_STATE         "Wrote state"
     IDS_WROTE_STATE_N       "Wrote state %d"
@@ -2268,7 +1953,7 @@
     IDS_UNKNOWN             "Unknown"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_NONE                "None"
     IDS_FAILED_TO_LOAD_LIBRARY "Failed to load library %s"
@@ -2288,7 +1973,7 @@
     IDS_SELECT_BATTERY_FILE "Select battery file"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_UNSUPPORTED_CHEAT_LIST_TYPE "Unsupported cheat list type %d"
     IDS_INVALID_GSA_CODE    "Invalid GSA code. Format is XXXXXXXXYYYYYYYY."
@@ -2303,12 +1988,12 @@
     IDS_OUT_OF_MEMORY       "Failed to allocate memory for %s"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_FILTER_GBS          "Gameboy Snapshot_*.GBS__"
     IDS_FILTER_GCF          "Gameshark Code File_*.GCF__"
     IDS_SELECT_CODE_FILE    "Select code file"
-    IDS_SAVE_WILL_BE_LOST   "Importing a snapshot file will erase any saved games and reset the emulator. Do you want to continue?"
+    IDS_SAVE_WILL_BE_LOST   "Importing a snapshot file will erase any saved games. Do you want to continue?"
     IDS_CONFIRM_ACTION      "Please confirm action"
     IDS_CODES_WILL_BE_LOST  "Importing a code file will erase any entered codes. Do you want to continue?"
     IDS_FILTER_SPC          "Gameshark Code File_*.SPC;*.XPC__"
@@ -2323,7 +2008,7 @@
     IDS_ERROR_LISTENING     "Error listening on socket."
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_ERROR_CREATING_SOCKET "Error creating socket."
     IDS_ACK_NOT_RECEIVED    "ACK not received from GDB."
@@ -2344,7 +2029,7 @@
     IDS_END_OF_MOVIE        "end of movie"
 END
 
-STRINGTABLE DISCARDABLE 
+STRINGTABLE 
 BEGIN
     IDS_INVALID_INTERVAL_VALUE 
                             "Invalid rewind interval value. Please enter a number between 0 and 600 seconds."
@@ -2362,8 +2047,7 @@
 //
 // Generated from the TEXTINCLUDE 3 resource.
 //
-
-
+#include "vba.rc2"
 /////////////////////////////////////////////////////////////////////////////
 #endif    // not APSTUDIO_INVOKED
 
diff -urN ../VisualBoyAdvance-1.7.2/win32/GBA.dsp ./win32/GBA.dsp
--- ../VisualBoyAdvance-1.7.2/win32/GBA.dsp	2004-02-29 22:07:01 +0900
+++ ./win32/GBA.dsp	2004-11-05 09:51:52 +0900
@@ -494,36 +494,36 @@
 !IF  "$(CFG)" == "GBA - Win32 Release"
 
 # Begin Custom Build
-OutDir=.\Release
+IntDir=.\Release
 InputPath=..\src\i386\2xSaImmx.asm
 InputName=2xSaImmx
 
-"$(OutDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o $(OutDir)\$(InputName).obj $(InputPath)
+"$(IntDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o "$(IntDir)\$(InputName).obj" "$(InputPath)"
 
 # End Custom Build
 
 !ELSEIF  "$(CFG)" == "GBA - Win32 Debug"
 
 # Begin Custom Build
-OutDir=.\Debug
+IntDir=.\Debug
 InputPath=..\src\i386\2xSaImmx.asm
 InputName=2xSaImmx
 
-"$(OutDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o $(OutDir)\$(InputName).obj $(InputPath)
+"$(IntDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o "$(IntDir)\$(InputName).obj" "$(InputPath)"
 
 # End Custom Build
 
 !ELSEIF  "$(CFG)" == "GBA - Win32 ReleaseNoDev"
 
 # Begin Custom Build
-OutDir=.\ReleaseNoDev
+IntDir=.\ReleaseNoDev
 InputPath=..\src\i386\2xSaImmx.asm
 InputName=2xSaImmx
 
-"$(OutDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
-	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o $(OutDir)\$(InputName).obj $(InputPath)
+"$(IntDir)\$(InputName).obj" : $(SOURCE) "$(INTDIR)" "$(OUTDIR)"
+	"c:\Program Files\Nasm\nasmw.exe" -D__DJGPP__ -f win32 -o "$(IntDir)\$(InputName).obj" "$(InputPath)"
 
 # End Custom Build
 
@@ -560,6 +560,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\src\win32\GameOverrides.cpp
+# End Source File
+# Begin Source File
+
 SOURCE=..\src\win32\GDIDisplay.cpp
 # End Source File
 # Begin Source File
@@ -736,6 +740,10 @@
 # End Source File
 # Begin Source File
 
+SOURCE=..\src\win32\GameOverrides.h
+# End Source File
+# Begin Source File
+
 SOURCE=..\src\gb\GB.h
 # End Source File
 # Begin Source File
diff -urN ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/cximage.vcproj ./win32/dependencies/cximage/cximage.vcproj
--- ../VisualBoyAdvance-1.7.2/win32/dependencies/cximage/cximage.vcproj	1970-01-01 09:00:00 +0900
+++ ./win32/dependencies/cximage/cximage.vcproj	2006-08-24 07:16:02 +0900
@@ -0,0 +1,367 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="cximage"
+	ProjectGUID="{DB5C12E9-BCD3-4517-8708-475C0D1D88CE}"
+	RootNamespace="cximage"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				PreprocessorDefinitions="WIN32;_DEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;_CRT_NON_CONFORMING_SWPRINTFS;JAS_WIN_MSVC_BUILD"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="0"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="WIN32;NDEBUG;_LIB;_CRT_SECURE_NO_DEPRECATE;_CRT_NON_CONFORMING_SWPRINTFS;JAS_WIN_MSVC_BUILD"
+				RuntimeLibrary="0"
+				UsePrecompiledHeader="0"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="false"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\tif_xfile.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximabmp.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximadsp.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaenc.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaexif.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximage.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximagif.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximahist.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaico.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximainfo.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaint.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaj2k.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajas.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajbg.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajpg.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximalpha.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximalyr.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximamng.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximapal.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximapcx.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximapng.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximasel.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximatga.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximath.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximatif.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximatran.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximawbmp.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximawmf.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ximawnd.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\xmemfile.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\xfile.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximabmp.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximacfg.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximadef.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximage.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximagif.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaico.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaiter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximaj2k.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajas.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajbg.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximajpg.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximamng.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximapcx.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximapng.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximatga.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximath.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximatif.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximawbmp.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ximawmf.h"
+				>
+			</File>
+			<File
+				RelativePath=".\xiofile.h"
+				>
+			</File>
+			<File
+				RelativePath=".\xmemfile.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
